Unit sf43e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UTSF13_p, SF36E_p;

function sf43e(F :Extended; AN1 :Extended; AN2 :Extended;
                var IERR :Integer): Extended;

implementation

function sf43e(F :Extended; AN1 :Extended; AN2 :Extended;
                var IERR :Integer): Extended;
var
IERR1 :Integer;
FX,A,B :Extended;
const
SYS059 :Real = 1.7E308;
label
_1,_2,_3,_4,_5;
begin
{ Result -    SF43E  FORTRANe }
if ( F >= 0.0e0 ) 
 then goto _1;
IERR := 66;
Result := SYS059;
goto _4;
_1:
if ( (AN1 > 0.0e0) ) and ( (AN2 > 0.0e0) ) 
 then goto _2;
IERR := 65;
Result := SYS059;
goto _4;
_2:
IERR := 0;
if ( F > 0.0e0 ) 
 then goto _3;
Result := 0.0e0;
goto _5;
_3:
FX := AN2/(AN2+AN1*F);
A := 0.5e0*AN2;
B := 0.5e0*AN1;
Result := SF36E(FX,A,B,IERR1);
Result := 1.e0-Result;
goto _5;
_4:
UTSF13(IERR,43);
_5:
exit;
end;

end.
